org.apache.poi.xwpf.usermodel

## Class XWPFStyle

- java.lang.Object
- - org.apache.poi.xwpf.usermodel.XWPFStyle

-     public class XWPFStyle
      extends java.lang.Object

  Author:
    Philipp Epp

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XWPFStyles` | `styles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style)` constructor
    `XWPFStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style, XWPFStyles styles)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBasisStyleID()`
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle` | `getCTStyle()` get ctStyle
    `java.lang.String` | `getLinkStyleID()` get StyleID of the linked Style
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNextStyleID()` get StyleID of the next style
    `java.lang.String` | `getStyleId()` get StyleID of the style
    `XWPFStyles` | `getStyles()` get styles
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.STStyleType.Enum` | `getType()` get Type of the Style
    `boolean` | `hasSameName(XWPFStyle compStyle)` compares the names of the Styles
    `void` | `setStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style)` set style
    `void` | `setStyleId(java.lang.String styleId)` set styleID
    `void` | `setType(org.openxmlformats.schemas.wordprocessingml.x2006.main.STStyleType.Enum type)` set styleType

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### styles

          protected XWPFStyles styles

  - ### Constructor Detail

    - #### XWPFStyle

          public XWPFStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style)

      constructor
      Parameters:
        `style` -

    - #### XWPFStyle

          public XWPFStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style,
                           XWPFStyles styles)

      constructor
      Parameters:
        `style` -
        `styles` -

  - ### Method Detail

    - #### getStyleId

          public java.lang.String getStyleId()

      get StyleID of the style
      Returns:
        styleID StyleID of the style

    - #### setStyleId

          public void setStyleId(java.lang.String styleId)

      set styleID
      Parameters:
        `styleId` -

    - #### getType

          public org.openxmlformats.schemas.wordprocessingml.x2006.main.STStyleType.Enum getType()

      get Type of the Style
      Returns:
        ctType

    - #### setType

          public void setType(org.openxmlformats.schemas.wordprocessingml.x2006.main.STStyleType.Enum type)

      set styleType
      Parameters:
        `type` -

    - #### setStyle

          public void setStyle(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle style)

      set style
      Parameters:
        `style` -

    - #### getCTStyle

          public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyle getCTStyle()

      get ctStyle
      Returns:
        ctStyle

    - #### getStyles

          public XWPFStyles getStyles()

      get styles
      Returns:
        styles the styles to which this style belongs

    - #### getBasisStyleID

          public java.lang.String getBasisStyleID()

    - #### getLinkStyleID

          public java.lang.String getLinkStyleID()

      get StyleID of the linked Style

    - #### getNextStyleID

          public java.lang.String getNextStyleID()

      get StyleID of the next style

    - #### getName

          public java.lang.String getName()

    - #### hasSameName

          public boolean hasSameName(XWPFStyle compStyle)

      compares the names of the Styles
      Parameters:
        `compStyle` -

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.